import { stemTypeList, questionNumberTypeList, scoreTypeList, switchOption, fontSizeList } from './common';

// 问答题数据模板
export const essayQuestionData = {
  type: 'essay_question', // 题型
  stem: '', // 题干
  description: '', // 描述
  reference_answer: '', // 参考答案
  file_id_list: [], // 文件 id 列表
  answer: {
    score: 1,
    score_type: scoreTypeList[0].value,
  }, // 答案
  // 题型属性
  property: {
    stem_type: stemTypeList[1].value, // 题干类型
    question_number: '1', // 题号
    stem_question_number_font_size: fontSizeList[6], // 题干题号
    is_enable_description: switchOption[0].value, // 描述
    is_enable_reference_answer: switchOption[0].value, // 是否开启参考答案
    score: 1, // 分值
    score_type: scoreTypeList[0].value, // 分值类型
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[1].value, // 题号类型
  },
};
